Bug 16026 - Use Font Awesome icons on cataloging home page
Summary: Use Font Awesome icons on cataloging home page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/cataloguing/addbooks.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-09 15:41 UTC by Owen Leonard
Modified: 2017-06-14 22:10 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16026 - Use Font Awesome icons on cataloging home page (1.70 KB, patch)
2016-03-09 15:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16026 - Use Font Awesome icons on cataloging home page (1.72 KB, patch)
2016-03-09 15:58 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 16026 - Use Font Awesome icons on cataloging home page (1.80 KB, patch)
2016-03-10 11:41 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-03-09 15:41:46 UTC
The cataloging home page toolbar has one instance of a Glyphicon. It should be replaced with a Font Awesome icon.
Comment 1 Owen Leonard 2016-03-09 15:48:33 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2016-03-09 15:58:25 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-03-10 11:41:15 UTC
Created attachment 48946 [details] [review]
Bug 16026 - Use Font Awesome icons on cataloging home page

The cataloging home page has one instance of a Glyphicon. This patch
replaces it with a Font Awesome icon.

To test you must have the EnableAdvancedCatalogingEditor preference
enabled.

- Apply the patch and go to the Cataloging home page.
- Confirm that the "Advanced editor" button uses the "pencil" icon and
  that it still works correctly.

Signed-off-by: Nicole C Engard <nengard@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Brendan Gallagher 2016-03-11 22:59:52 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!
Comment 5 Julian Maurice 2016-03-14 10:04:03 UTC
Patch pushed to 3.22.x, will be in 3.22.5